Skip to main content
GET
/
v1
/
scrape
/
twitter
/
followings
Followings
curl --request GET \
  --url https://api.sociavault.com/v1/scrape/twitter/followings \
  --header 'X-API-Key: <api-key>'
{
  "success": true,
  "data": {
    "error": false,
    "cursor": {
      "bottom": "1845181907898247501|2031099901030432716",
      "top": "-1|2031099901030432769"
    },
    "result": {
      "timeline": {
        "instructions": [
          {
            "type": "TimelineClearCache"
          },
          {
            "direction": "Top",
            "type": "TimelineTerminateTimeline"
          },
          {
            "direction": "Bottom",
            "type": "TimelineTerminateTimeline"
          },
          {
            "entries": [
              {
                "content": {
                  "__typename": "TimelineTimelineItem",
                  "clientEventInfo": {
                    "component": "FollowingSgs",
                    "element": "user"
                  },
                  "entryType": "TimelineTimelineItem",
                  "itemContent": {
                    "__typename": "TimelineUser",
                    "itemType": "TimelineUser",
                    "userDisplayType": "User",
                    "user_results": {
                      "result": {
                        "__typename": "User",
                        "affiliates_highlighted_label": {},
                        "has_graduated_access": true,
                        "id": "VXNlcjoxMzk4MDYwMDQ4NTg5NDU5NDU2",
                        "is_blue_verified": true,
                        "legacy": {
                          "blocked_by": false,
                          "blocking": false,
                          "can_dm": true,
                          "can_media_tag": true,
                          "created_at": "Thu May 27 23:34:33 +0000 2021",
                          "default_profile": true,
                          "default_profile_image": false,
                          "description": "📈 Seeking Alpha Analyst | Co-Host @basispointpod | YouTube: @stevenfiorillo1 | TipRanks #12 Financial Blogger & #19 Expert",
                          "entities": {
                            "description": {
                              "urls": []
                            },
                            "url": {
                              "urls": [
                                {
                                  "display_url": "youtube.com/@stevenfiorill…",
                                  "expanded_url": "https://www.youtube.com/@stevenfiorillo1/streams",
                                  "indices": [
                                    0,
                                    23
                                  ],
                                  "url": "https://t.co/d2SCsxNGz8"
                                }
                              ]
                            }
                          },
                          "fast_followers_count": 0,
                          "favourites_count": 1237,
                          "follow_request_sent": false,
                          "followed_by": false,
                          "followers_count": 25429,
                          "following": false,
                          "friends_count": 687,
                          "has_custom_timelines": true,
                          "is_translator": false,
                          "listed_count": 200,
                          "location": "",
                          "media_count": 189,
                          "muting": false,
                          "name": "Steven Fiorillo",
                          "normal_followers_count": 25429,
                          "notifications": false,
                          "pinned_tweet_ids_str": [
                            "2030329399808086396"
                          ],
                          "possibly_sensitive": false,
                          "profile_banner_url": "https://pbs.twimg.com/profile_banners/1398060048589459456/1771171983",
                          "profile_image_url_https": "https://pbs.twimg.com/profile_images/1451198593822384128/rF_hA4Fs_normal.jpg",
                          "profile_interstitial_type": "",
                          "protected": false,
                          "screen_name": "stevenfiorillo",
                          "statuses_count": 3413,
                          "translator_type": "none",
                          "url": "https://t.co/d2SCsxNGz8",
                          "verified": false,
                          "want_retweets": false,
                          "withheld_in_countries": []
                        },
                        "profile_image_shape": "Circle",
                        "rest_id": "1398060048589459456",
                        "super_follow_eligible": false,
                        "super_followed_by": false,
                        "super_following": false,
                        "tipjar_settings": {}
                      }
                    }
                  }
                },
                "entryId": "user-1398060048589459456",
                "sortIndex": "2031099901030432768"
              }
            ],
            "type": "TimelineAddEntries"
          }
        ]
      }
    }
  },
  "credits_used": 1,
  "endpoint": "twitter/followings"
}
💳 1 credit per request

Authorizations

X-API-Key
string
header
required

API key for authentication. Format: sk_live_xxxxxxxxxxxxx

Get your API key from the Dashboard.

Query Parameters

user_id
string
required

The numeric user ID (rest_id) of the account to get followings for

Example:

"44196397"

cursor
string

Pagination cursor from a previous response to get the next page of results

Response

Successful response

Key Response Fields:

Pagination:

  • data.cursor.bottom: Pass as cursor query param to get the next page of followings
  • data.cursor.top: Cursor for the previous page

Timeline Structure:

  • data.result.timeline.instructions[0]: TimelineClearCache (internal, can ignore)
  • data.result.timeline.instructions[1]: TimelineTerminateTimeline direction Top
  • data.result.timeline.instructions[2]: TimelineTerminateTimeline direction Bottom — indicates no more results when present
  • data.result.timeline.instructions[3].entries[]: Array of following entries (type TimelineAddEntries)

Each Following (at entries[].content.itemContent.user_results.result):

  • .rest_id: User's numeric ID
  • .is_blue_verified: Whether user has a blue checkmark
  • .legacy.name: Display name
  • .legacy.screen_name: Handle (username without @)
  • .legacy.description: Bio
  • .legacy.followers_count: Follower count
  • .legacy.friends_count: Following count
  • .legacy.statuses_count: Total tweet count
  • .legacy.favourites_count: Total likes given
  • .legacy.media_count: Total media posts
  • .legacy.listed_count: Number of lists the user is on
  • .legacy.created_at: Account creation date
  • .legacy.location: Location set by user
  • .legacy.profile_image_url_https: Profile picture URL
  • .legacy.profile_banner_url: Banner image URL
  • .legacy.protected: Whether account is private
  • .legacy.verified: Legacy verified status
  • .professional.professional_type: Creator or Business (if applicable)